Package: netty / 1:4.1.7-2

Metadata

Package Version Patches format
netty 1:4.1.7-2 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
01 ignore npn.patch | (download)

handler/pom.xml | 16 16 + 0 - 0 !
handler/src/main/java/io/netty/handler/ssl/JdkSslContext.java | 2 2 + 0 - 0 !
pom.xml | 2 2 + 0 - 0 !
3 files changed, 20 insertions(+)

 disable the npn/alpn support since it relies on jetty npn-api and alpn-api which aren't available in debian
02 ignore enforcer rules.patch | (download)

pom.xml | 12 0 + 12 - 0 !
1 file changed, 12 deletions(-)

 ignore the maven-enforcer-plugin (not needed)
03 ignore jboss marshalling.patch | (download)

codec/pom.xml | 15 15 + 0 - 0 !
1 file changed, 15 insertions(+)

 disable the jboss marshalling support (not in debian)
04 netty all light.patch | (download)

all/pom.xml | 24 2 + 22 - 0 !
1 file changed, 2 insertions(+), 22 deletions(-)

 turn the netty-all jar into an empty jar to optimize the size of the package
 but keep the dependencies on the other artifacts
05 reproducible versions properties.patch | (download)

pom.xml | 10 5 + 5 - 0 !
1 file changed, 5 insertions(+), 5 deletions(-)

 make the versions.properties files reproducible
06 remove tcnative classifier.patch | (download)

handler/pom.xml | 1 0 + 1 - 0 !
pom.xml | 1 0 + 1 - 0 !
transport-native-epoll/pom.xml | 1 0 + 1 - 0 !
3 files changed, 3 deletions(-)

 removes the empty classifier for the tcnative dependency since it breaks
 the Gradle dependencies resolution (seen with the projectreactor package)
07 netty all epoll dependency.patch | (download)

all/pom.xml | 25 6 + 19 - 0 !
1 file changed, 6 insertions(+), 19 deletions(-)

 moves the netty-transport-native-epoll out of the profiles
 since it doesn't work with Gradle (required for the projectreactor package)
08 codegen without groovy plugin.patch | (download)

common/src/main/script/codegen.groovy | 11 6 + 5 - 0 !
1 file changed, 6 insertions(+), 5 deletions(-)

 adapts codegen.groovy to run without the groovy-maven-plugin (not in debian yet)
09 ignore lz4.patch | (download)

codec/pom.xml | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 disables lz4 support (missing dependency)
10 ignore lzma.patch | (download)

codec/pom.xml | 1 1 + 0 - 0 !
1 file changed, 1 insertion(+)

 disables lzma support (missing dependency)
11 ignore protobuf nano.patch | (download)

codec/pom.xml | 1 1 + 0 - 0 !
codec/src/main/java/io/netty/handler/codec/protobuf/ProtobufVarint32FrameDecoder.java | 1 0 + 1 - 0 !
2 files changed, 1 insertion(+), 1 deletion(-)

 disables protobuf nano support (missing dependency)